import { CustomizableBytes, LayoutToType } from "@wormhole-foundation/sdk-base";
import { Prefix } from "./prefix.js";
export type TransceiverMessage<MP extends CustomizableBytes = undefined, TP extends CustomizableBytes = undefined> = LayoutToType<ReturnType<typeof transceiverMessageLayout<MP, TP>>>;
export declare const transceiverMessageLayout: <const MP extends CustomizableBytes = undefined, const TP extends CustomizableBytes = undefined>(prefix: Prefix, nttManagerPayload?: MP, transceiverPayload?: TP) => readonly [{
    readonly name: "prefix";
    readonly binary: "bytes";
    readonly custom: Uint8Array;
    readonly omit: true;
}, {
    readonly binary: "bytes";
    readonly size: 32;
    readonly custom: {
        to: (val: Uint8Array) => import("@wormhole-foundation/sdk").UniversalAddress;
        from: (val: import("@wormhole-foundation/sdk").UniversalAddress) => Uint8Array;
    };
    readonly name: "sourceNttManager";
}, {
    readonly binary: "bytes";
    readonly size: 32;
    readonly custom: {
        to: (val: Uint8Array) => import("@wormhole-foundation/sdk").UniversalAddress;
        from: (val: import("@wormhole-foundation/sdk").UniversalAddress) => Uint8Array;
    };
    readonly name: "recipientNttManager";
}, import("@wormhole-foundation/sdk").CustomizableBytesReturn<{
    readonly name: "nttManagerPayload";
    readonly lengthSize: 2;
}, MP>, import("@wormhole-foundation/sdk").CustomizableBytesReturn<{
    readonly name: "transceiverPayload";
    readonly lengthSize: 2;
}, TP>];
export type TransceiverInfo = LayoutToType<typeof transceiverInfo>;
export declare const transceiverInfo: readonly [{
    readonly name: "prefix";
    readonly binary: "bytes";
    readonly custom: Uint8Array;
    readonly omit: true;
}, {
    readonly binary: "bytes";
    readonly size: 32;
    readonly custom: {
        to: (val: Uint8Array) => import("@wormhole-foundation/sdk").UniversalAddress;
        from: (val: import("@wormhole-foundation/sdk").UniversalAddress) => Uint8Array;
    };
    readonly name: "managerAddress";
}, {
    readonly name: "mode";
    readonly binary: "uint";
    readonly size: 1;
}, {
    readonly binary: "bytes";
    readonly size: 32;
    readonly custom: {
        to: (val: Uint8Array) => import("@wormhole-foundation/sdk").UniversalAddress;
        from: (val: import("@wormhole-foundation/sdk").UniversalAddress) => Uint8Array;
    };
    readonly name: "token";
}, {
    readonly name: "decimals";
    readonly binary: "uint";
    readonly size: 1;
}];
export type TransceiverRegistration = LayoutToType<typeof transceiverRegistration>;
export declare const transceiverRegistration: readonly [{
    readonly name: "prefix";
    readonly binary: "bytes";
    readonly custom: Uint8Array;
    readonly omit: true;
}, {
    readonly custom: {
        to: (val: number) => "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Scroll" | "Mantle" | "Blast" | "Xlayer" | "Linea" | "Berachain" | "Seievm" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Neutron" | "Celestia" | "Stargaze" | "Seda" | "Dymension" | "Provenance" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky" | "PolygonSepolia";
        from: (val: "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Scroll" | "Mantle" | "Blast" | "Xlayer" | "Linea" | "Berachain" | "Seievm" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Neutron" | "Celestia" | "Stargaze" | "Seda" | "Dymension" | "Provenance" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky" | "PolygonSepolia") => number;
    };
    readonly binary: "uint";
    readonly size: 2;
    readonly name: "chain";
}, {
    readonly binary: "bytes";
    readonly size: 32;
    readonly custom: {
        to: (val: Uint8Array) => import("@wormhole-foundation/sdk").UniversalAddress;
        from: (val: import("@wormhole-foundation/sdk").UniversalAddress) => Uint8Array;
    };
    readonly name: "transceiver";
}];
//# sourceMappingURL=transceiver.d.ts.map