"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.transceiverRegistration = exports.transceiverInfo = exports.transceiverMessageLayout = void 0;
const sdk_1 = require("@wormhole-foundation/sdk");
const sdk_base_1 = require("@wormhole-foundation/sdk-base");
const prefix_js_1 = require("./prefix.js");
const transceiverMessageLayout = (prefix, nttManagerPayload, transceiverPayload) => [
    (0, prefix_js_1.prefixItem)(prefix),
    { name: "sourceNttManager", ...sdk_1.layoutItems.universalAddressItem },
    { name: "recipientNttManager", ...sdk_1.layoutItems.universalAddressItem },
    (0, sdk_base_1.customizableBytes)({ name: "nttManagerPayload", lengthSize: 2 }, nttManagerPayload),
    (0, sdk_base_1.customizableBytes)({ name: "transceiverPayload", lengthSize: 2 }, transceiverPayload),
];
exports.transceiverMessageLayout = transceiverMessageLayout;
exports.transceiverInfo = [
    (0, prefix_js_1.prefixItem)([0x9c, 0x23, 0xbd, 0x3b]),
    { name: "managerAddress", ...sdk_1.layoutItems.universalAddressItem },
    { name: "mode", binary: "uint", size: 1 },
    { name: "token", ...sdk_1.layoutItems.universalAddressItem },
    { name: "decimals", binary: "uint", size: 1 },
];
exports.transceiverRegistration = [
    (0, prefix_js_1.prefixItem)([0x18, 0xfc, 0x67, 0xc2]),
    { name: "chain", ...sdk_1.layoutItems.chainItem() },
    { name: "transceiver", ...sdk_1.layoutItems.universalAddressItem },
];
//# sourceMappingURL=transceiver.js.map