"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.nativeTokenTransferLayout = void 0;
const sdk_1 = require("@wormhole-foundation/sdk");
const amount_js_1 = require("./amount.js");
const prefix_js_1 = require("./prefix.js");
/** Describes binary layout for a native token transfer payload */
exports.nativeTokenTransferLayout = [
    (0, prefix_js_1.prefixItem)([0x99, 0x4e, 0x54, 0x54]),
    { name: "trimmedAmount", ...amount_js_1.trimmedAmountItem },
    { name: "sourceToken", ...sdk_1.layoutItems.universalAddressItem },
    { name: "recipientAddress", ...sdk_1.layoutItems.universalAddressItem },
    { name: "recipientChain", ...sdk_1.layoutItems.chainItem() },
];
//# sourceMappingURL=transfer.js.map