"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WormholeNttTransceiver = exports.Ntt = void 0;
const sdk_base_1 = require("@wormhole-foundation/sdk-base");
const sdk_definitions_1 = require("@wormhole-foundation/sdk-definitions");
const index_js_1 = require("./layouts/index.js");
/**
 * @namespace Ntt
 */
var Ntt;
(function (Ntt) {
    const _protocol = "Ntt";
    // TODO: should layoutify this but couldnt immediately figure out how to
    // specify the length of the array as an encoded value
    function encodeTransceiverInstructions(ixs) {
        if (ixs.length > 255)
            throw new Error(`Too many instructions (${ixs.length})`);
        return sdk_base_1.encoding.bytes.concat(new Uint8Array([ixs.length]), ...ixs.map((ix) => (0, sdk_base_1.serializeLayout)((0, index_js_1.transceiverInstructionLayout)(), ix)));
    }
    Ntt.encodeTransceiverInstructions = encodeTransceiverInstructions;
    /**
     * messageDigest hashes a message for the Ntt manager, the digest is used
     * to uniquely identify the message
     * @param chain The chain that sent the message
     * @param message The ntt message to hash
     * @returns a 32 byte digest of the message
     */
    function messageDigest(chain, message) {
        return (0, sdk_definitions_1.keccak256)(sdk_base_1.encoding.bytes.concat(sdk_base_1.encoding.bignum.toBytes((0, sdk_base_1.toChainId)(chain), 2), (0, sdk_base_1.serializeLayout)((0, index_js_1.nttManagerMessageLayout)(index_js_1.nativeTokenTransferLayout), message)));
    }
    Ntt.messageDigest = messageDigest;
})(Ntt || (exports.Ntt = Ntt = {}));
var WormholeNttTransceiver;
(function (WormholeNttTransceiver) {
    const _payloads = ["WormholeTransfer"];
})(WormholeNttTransceiver || (exports.WormholeNttTransceiver = WormholeNttTransceiver = {}));
//# sourceMappingURL=ntt.js.map