import { layoutItems } from "@wormhole-foundation/sdk";
import { customizableBytes, } from "@wormhole-foundation/sdk-base";
import { prefixItem } from "./prefix.js";
export const transceiverMessageLayout = (prefix, nttManagerPayload, transceiverPayload) => [
    prefixItem(prefix),
    { name: "sourceNttManager", ...layoutItems.universalAddressItem },
    { name: "recipientNttManager", ...layoutItems.universalAddressItem },
    customizableBytes({ name: "nttManagerPayload", lengthSize: 2 }, nttManagerPayload),
    customizableBytes({ name: "transceiverPayload", lengthSize: 2 }, transceiverPayload),
];
export const transceiverInfo = [
    prefixItem([0x9c, 0x23, 0xbd, 0x3b]),
    { name: "managerAddress", ...layoutItems.universalAddressItem },
    { name: "mode", binary: "uint", size: 1 },
    { name: "token", ...layoutItems.universalAddressItem },
    { name: "decimals", binary: "uint", size: 1 },
];
export const transceiverRegistration = [
    prefixItem([0x18, 0xfc, 0x67, 0xc2]),
    { name: "chain", ...layoutItems.chainItem() },
    { name: "transceiver", ...layoutItems.universalAddressItem },
];
//# sourceMappingURL=transceiver.js.map