import { layoutItems } from "@wormhole-foundation/sdk";
import { trimmedAmountItem } from "./amount.js";
import { prefixItem } from "./prefix.js";
/** Describes binary layout for a native token transfer payload */
export const nativeTokenTransferLayout = [
    prefixItem([0x99, 0x4e, 0x54, 0x54]),
    { name: "trimmedAmount", ...trimmedAmountItem },
    { name: "sourceToken", ...layoutItems.universalAddressItem },
    { name: "recipientAddress", ...layoutItems.universalAddressItem },
    { name: "recipientChain", ...layoutItems.chainItem() },
];
//# sourceMappingURL=transfer.js.map